-- Role [Role]
create table `role_2` (
   `oid`  integer  not null,
   `rolename`  varchar(255),
  primary key (`oid`)
);


-- User [User]
create table `user_2` (
   `oid`  integer  not null,
   `username`  varchar(255),
   `password`  varchar(255),
   `email`  varchar(255),
   `token`  varchar(255),
   `token_expiration_date`  datetime,
   `secretkey`  varchar(255),
  primary key (`oid`)
);


-- Employee [cls1]
create table `employee` (
   `oid`  integer  not null,
   `role`  varchar(255),
   `birth_date`  date,
   `last_name`  varchar(255),
   `middle_name`  varchar(255),
   `first_name`  varchar(255),
   `createdat`  datetime,
   `updatedat`  datetime,
  primary key (`oid`)
);


-- User_Role [User2Role_Role2User]
create table `user_role_2` (
   `user_2_oid`  integer not null,
   `role_2_oid`  integer not null,
  primary key (`user_2_oid`, `role_2_oid`)
);
alter table `user_role_2`   add index fk_user_role_2_user_2 (`user_2_oid`), add constraint fk_user_role_2_user_2 foreign key (`user_2_oid`) references `user_2` (`oid`);
alter table `user_role_2`   add index fk_user_role_2_role_2 (`role_2_oid`), add constraint fk_user_role_2_role_2 foreign key (`role_2_oid`) references `role_2` (`oid`);


-- Data Services Mapping
create table WR_DELETE_HISTORY(
  `OID`  integer  not null,
  `OBJECT_ID` varchar(200) not null,
  `CLASS_ID` varchar(32) not null,
  `DELETED_AT` datetime not null,
  primary key (`OID`))
ENGINE=InnoDB;

create index IDX_WR_CLASS_ID on WR_DELETE_HISTORY(`CLASS_ID`);
create index IDX_WR_OBJECT_ID on WR_DELETE_HISTORY(`DELETED_AT`);


